mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
widgets_helper.c File Reference
`#include "widgets_helper.h"`
Include dependency graph for widgets_helper.c:

Go to the source code of this file.

## Functions

void | wh_add_in_table (GtkWidget *table, GtkWidget *widget)
void | wh_add_in_table_with_label (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
void | wh_add_in_table_with_label_expand (GtkWidget *table, const gchar *label_text, GtkWidget *widget)
void | wh_get_widget_size (GtkWidget *widget, gint *width, gint *height)
GtkWidget * | wh_new_button (const gchar *button_label)
GtkWidget * | wh_new_entry (void *callback)
GtkWidget * | wh_new_table ()
GtkWidget * | wh_put_in_new_hbox_with_margin_level (GtkWidget *widget, gint margin_level)
void | wh_set_browser_directory_handler (ui_state *ui, GtkWidget *dialog)
GtkWidget * | wh_set_title_and_get_vbox (GtkWidget *widget, const gchar *title)

## Detailed Description

this file contains the code for the widgets helpers.

Definition in file widgets_helper.c.

## Function Documentation

GtkWidget* wh_set_title_and_get_vbox | ( | GtkWidget * | widget,
|  | const gchar * | title
| ) |  |

Generates a window portion containing a caption and a vbox.

This function works like a chapter heading in a text processing system: You specify a title and the text processor returns an object consisting of a title and a vbox you can put the chapter contents in.
Is used to generate the consecutive named sections in a preferences tab.

Definition at line 56 of file widgets_helper.c.

Referenced by create_directory_box(), create_language_box(), create_output_filename_box(), create_player_options_box(), create_split_options_box(), create_tags_options_box(), and create_tags_version_box().

Here is the caller graph for this function: